// (C) 2021-2022 GoodData Corporation
import React from "react";
import { AttributeFilterBase } from "./AttributeFilterBase.js";
import { AttributeFilterDropdownButton } from "./Components/DropdownButton/AttributeFilterDropdownButton.js";
/**
 * AttributeFilterButton is a component that renders a rich button and a dropdown populated with attribute values
 * for specified attribute display form.
 * @public
 */
export const AttributeFilterButton = (props) => {
    const { attributeFilterMode, ...filterBaseProps } = props;
    return attributeFilterMode !== "hidden" ? (React.createElement(AttributeFilterBase, { ...filterBaseProps, disabled: attributeFilterMode === "readonly", DropdownButtonComponent: props.DropdownButtonComponent ?? AttributeFilterDropdownButton })) : null;
};
//# sourceMappingURL=AttributeFilterButton.js.map