// (C) 2023-2024 GoodData Corporation
import React from "react";
import { Bubble, BubbleHoverTrigger, Icon } from "@gooddata/sdk-ui-kit";
const bubbleAlignPoints = [{ align: "cr cl", offset: { x: 0, y: 50 } }];
/**
 * Tooltip details for the AttributeFilterDropdownButton.
 *
 * @remarks
 * It displays AttributeFilterDropdownButton tooltip details in the GoodData look and feel.
 * It displays the default title, custom title and data set title of the related attribute filter.
 *
 * @beta
 */
export const AttributeFilterButtonTooltip = ({ children }) => {
    return (React.createElement("span", { className: "gd-attribute-filter-dropdown-button-icon-tooltip" },
        React.createElement(BubbleHoverTrigger, null,
            React.createElement(Icon.QuestionMark, { height: 16, width: 14, className: "s-attribute-filter-tooltip-icon" }),
            React.createElement(Bubble, { className: "gd-attribute-filter-details s-attribute-filter-details-bubble", alignPoints: bubbleAlignPoints, arrowStyle: { display: "none" } }, children))));
};
//# sourceMappingURL=AttributeFilterButtonTooltip.js.map