import React from "react";
import { IAttributeElement } from "@gooddata/sdk-model";
import { GoodDataSdkError } from "@gooddata/sdk-ui";
interface IAttributeFilterVirtualisedElementsSelect {
    items: IAttributeElement[];
    totalItemsCount: number;
    totalItemsCountWithCurrentSettings: number;
    isInverted: boolean;
    selectedItems: IAttributeElement[];
    onSelect: (selectedItems: IAttributeElement[], isInverted: boolean) => void;
    searchString: string;
    onSearch: (searchString: string) => void;
    isLoading: boolean;
    isLoadingNextPage: boolean;
    onLoadNextPage: () => void;
    nextPageSize: number;
    parentFilterTitles: string[];
    isFilteredByParentFilters: boolean;
    error?: GoodDataSdkError;
    enableShowingFilteredElements?: boolean;
    isFilteredByDependentDateFilters?: boolean;
    attributeTitle?: string;
    onShowFilteredElements?: () => void;
    irrelevantSelection?: IAttributeElement[];
    onClearIrrelevantSelection?: () => void;
    withoutApply?: boolean;
    onApplyButtonClick?: () => void;
    isApplyDisabled?: boolean;
    enableAttributeFilterVirtualised?: boolean;
}
/**
 * This component allows users to search Attribute Filter elements.
 * It manipulates selection.
 * It displays statues like loading, filtering etc.
 * It allows paging.
 * It displays selection status like number of elements and selected elements labels.
 * It displays messages when elements are filtered out by parent filters or the result of search is empty.
 *
 * @internal
 */
export declare const AttributeFilterVirtualisedElementsSelect: React.FC<IAttributeFilterVirtualisedElementsSelect>;
export {};
//# sourceMappingURL=AttributeFilterVirtualisedElementsSelect.d.ts.map