// (C) 2023-2025 GoodData Corporation
import React, { useMemo } from "react";
import { FormattedMessage } from "react-intl";
import { Bubble, BubbleHoverTrigger, Message } from "@gooddata/sdk-ui-kit";
const ALIGN_POINTS = [{ align: "bl tl" }];
const ARROW_OFFSETS = { "bl tl": [-10, 12] };
export const AttributeFilterIrrelevantSelectionStatus = ({ parentFilterTitles, irrelevantSelection, onClear, showClearButton = true }) => {
    const parentFiltersTooltipText = useMemo(() => {
        return parentFilterTitles ? parentFilterTitles.join(", ") : "";
    }, [parentFilterTitles]);
    if (irrelevantSelection.length === 0) {
        return null;
    }
    const handleClick = (e) => {
        e.preventDefault();
        e.stopPropagation();
        onClear();
    };
    return (React.createElement(Message, { className: "gd-attribute-filter-status-irrelevant-message s-attribute-filter-status-irrelevant-message", type: "warning" },
        React.createElement(BubbleHoverTrigger, { showDelay: 0, hideDelay: 0 },
            React.createElement(FormattedMessage, { id: "attributesDropdown.irrelevantValues", values: { nbsp: React.createElement(React.Fragment, null, "\u00A0") } }),
            React.createElement(Bubble, { className: `bubble-primary gd-attribute-filter-dropdown-bubble__next s-attribute-filter-dropdown-bubble`, alignPoints: ALIGN_POINTS, arrowOffsets: ARROW_OFFSETS },
                React.createElement(FormattedMessage, { id: "attributesDropdown.irrelevantValues.tooltip", values: {
                        parents: parentFiltersTooltipText,
                        strong: (chunks) => React.createElement("strong", null, chunks),
                    } }))),
        showClearButton ? (React.createElement("button", { className: "gd-action-clear s-action-clear", onClick: handleClick },
            React.createElement(FormattedMessage, { id: "attributesDropdown.irrelevantValues.clear" }))) : null));
};
//# sourceMappingURL=AttributeFilterIrrelevantSelectionStatus.js.map