// (C) 2023-2025 GoodData Corporation
import React from "react";
import { AttributeFilterFilteredStatus } from "./AttributeFilterFilteredStatus.js";
import { AttributeFilterIrrelevantSelectionStatus } from "./AttributeFilterIrrelevantSelectionStatus.js";
import { AttributeFilterShowFilteredElements } from "./AttributeFilterShowFilteredElements.js";
/**
 * A component that displays only effective parent filters.
 * Current selection is not rendered as it is too simple for single selection filter.
 *
 * @beta
 */
export const SingleSelectionAttributeFilterStatusBar = (props) => {
    const { enableShowingFilteredElements, isFilteredByParentFilters, parentFilterTitles, totalElementsCountWithCurrentSettings, attributeTitle, onShowFilteredElements, irrelevantSelection, isFilteredByLimitingValidationItems, isFilteredByDependentDateFilters, } = props;
    if (enableShowingFilteredElements) {
        return (React.createElement("div", { className: "gd-attribute-filter-status-bar__next" },
            isFilteredByParentFilters ||
                isFilteredByLimitingValidationItems ||
                isFilteredByDependentDateFilters ? (React.createElement(AttributeFilterShowFilteredElements, { attributeTitle: attributeTitle, onClick: onShowFilteredElements, parentFilterTitles: parentFilterTitles, className: "no-divider", isFilteredByLimitingValidationItems: isFilteredByLimitingValidationItems })) : null,
            React.createElement(AttributeFilterIrrelevantSelectionStatus, { parentFilterTitles: parentFilterTitles, irrelevantSelection: irrelevantSelection, showClearButton: false })));
    }
    return (React.createElement("div", { className: "gd-attribute-filter-status-bar__next" }, isFilteredByParentFilters && totalElementsCountWithCurrentSettings > 0 ? (React.createElement(AttributeFilterFilteredStatus, { parentFilterTitles: parentFilterTitles })) : null));
};
//# sourceMappingURL=SingleSelectionAttributeFilterStatusBar.js.map