import { AttributeFilterLoader } from "./loader.js";
/**
 * @internal
 */
export class MultiSelectAttributeFilterHandler extends AttributeFilterLoader {
    constructor(config) {
        super(config);
    }
    // manipulators
    changeSelection = (selection) => {
        this.bridge.changeMultiSelection(selection);
    };
    revertSelection = () => {
        this.bridge.revertMultiSelection();
    };
    commitSelection = () => {
        this.bridge.commitMultiSelection();
    };
    invertSelection = () => {
        this.bridge.invertMultiSelection();
    };
    clearSelection = () => {
        this.bridge.clearMultiSelection();
    };
    // selectors
    getWorkingSelection = () => {
        return this.bridge.getWorkingMultiSelection();
    };
    isWorkingSelectionEmpty = () => {
        return this.bridge.getIsWorkingSelectionEmpty();
    };
    isWorkingSelectionChanged = () => {
        return this.bridge.getIsWorkingSelectionChanged();
    };
    getCommittedSelection = () => {
        return this.bridge.getCommittedMultiSelection();
    };
    // callbacks
    onSelectionChanged = (cb) => {
        return this.bridge.onMultiSelectionChanged(cb);
    };
    onSelectionCommitted = (cb) => {
        return this.bridge.onMultiSelectionCommitted(cb);
    };
}
//# sourceMappingURL=multiSelectHandler.js.map