import { areObjRefsEqual } from "@gooddata/sdk-model";
const transformFilterToPrimaryLabel = (state, action) => {
    // this switch of display forms transforms old filters saved with secondary label in them to attributes primary label and backup secondary label to the new property
    state.displayFormRef = action.payload.primaryLabelRef;
    if (!state.displayAsLabelRef) {
        // do not override already defined custom display form during migration
        state.displayAsLabelRef = action.payload.secondaryLabelRef;
    }
};
const setDisplayAsLabel = (state, action) => {
    if (!areObjRefsEqual(state.displayAsLabelRef, action.payload.displayAsLabel)) {
        state.elements.cache = {};
    }
    state.displayAsLabelRef = action.payload.displayAsLabel;
};
const setDisplayFormRef = (state, action) => {
    state.displayFormRef = action.payload.displayForm;
};
/**
 * @internal
 */
export const displayFormsReducers = {
    transformFilterToPrimaryLabel,
    setDisplayAsLabel,
    setDisplayFormRef,
};
//# sourceMappingURL=displayFormsReducers.js.map