import { fork, race, take } from "redux-saga/effects";
import { actions } from "../store/slice.js";
import { loadIrrelevantElementsSaga } from "../loadIrrelevantElements/loadIrrelevantElementsSaga.js";
/**
 * @internal
 */
export function* initIrrelevantSelectionSaga(correlation) {
    yield fork(loadIrrelevantElementsSaga, actions.loadIrrelevantElementsRequest({ correlation }));
    const { error, } = yield race({
        success: take((a) => actions.loadIrrelevantElementsSuccess.match(a) && a.payload.correlation === correlation),
        error: take((a) => actions.loadIrrelevantElementsError.match(a) && a.payload.correlation === correlation),
        cancel: take((a) => actions.loadIrrelevantElementsCancel.match(a) && a.payload.correlation === correlation),
    });
    if (error) {
        throw error.payload.error;
    }
}
//# sourceMappingURL=initIrrelevantSelectionSaga.js.map