import { GoodDataSdkError } from "@gooddata/sdk-ui";
import { Correlation, ILoadIrrelevantElementsResult } from "../../../types/index.js";
import { AttributeFilterReducer } from "../store/state.js";
/**
 * @internal
 */
export declare const loadIrrelevantElementsReducers: {
    loadIrrelevantElementsRequest: AttributeFilterReducer<{
        payload: {
            correlation: Correlation | undefined;
        };
        type: string;
    }>;
    loadIrrelevantElementsStart: AttributeFilterReducer<{
        payload: {
            correlation: Correlation | undefined;
        };
        type: string;
    }>;
    loadIrrelevantElementsSuccess: AttributeFilterReducer<{
        payload: ILoadIrrelevantElementsResult & {
            correlation: Correlation;
        };
        type: string;
    }>;
    loadIrrelevantElementsError: AttributeFilterReducer<{
        payload: {
            error: GoodDataSdkError;
            correlation: Correlation;
        };
        type: string;
    }>;
    loadIrrelevantElementsCancelRequest: AttributeFilterReducer<{
        payload: {
            correlation: Correlation | undefined;
        };
        type: string;
    }>;
    loadIrrelevantElementsCancel: AttributeFilterReducer<{
        payload: {
            correlation: Correlation | undefined;
        };
        type: string;
    }>;
};
//# sourceMappingURL=loadIrrelevantElementsReducers.d.ts.map