// (C) 2021-2025 GoodData Corporation
// in current version of @reduxjs/toolkit esm export are not defined
// we need direct import from esm module otherwise import ar not node compatible
// https://github.com/reduxjs/redux-toolkit/issues/1960
import { createSelector } from "@reduxjs/toolkit/dist/redux-toolkit.esm.js";
import isEmpty from "lodash/isEmpty.js";
import isEqual from "lodash/isEqual.js";
import { selectState } from "../common/selectors.js";
/**
 * @internal
 */
export const selectWorkingSelection = createSelector(selectState, (state) => state.selection.working.keys);
/**
 * @internal
 */
export const selectIsWorkingSelectionInverted = createSelector(selectState, (state) => state.selection.working.isInverted);
/**
 * @internal
 */
export const selectIrrelevantWorkingSelection = createSelector(selectState, (state) => state.selection.working.irrelevantKeys);
/**
 * @internal
 */
export const selectCommittedSelection = createSelector(selectState, (state) => state.selection.commited.keys);
/**
 * @internal
 */
export const selectIsCommittedSelectionInverted = createSelector(selectState, (state) => state.selection.commited.isInverted);
/**
 * @internal
 */
export const selectIrrelevantCommittedSelection = createSelector(selectState, (state) => state.selection.commited.irrelevantKeys);
/**
 * @internal
 */
export const selectInvertableWorkingSelection = createSelector(selectWorkingSelection, selectIsWorkingSelectionInverted, selectIrrelevantWorkingSelection, (keys, isInverted, irrelevantKeys) => ({
    keys,
    isInverted,
    irrelevantKeys,
}));
/**
 * @internal
 */
export const selectInvertableCommittedSelection = createSelector(selectCommittedSelection, selectIsCommittedSelectionInverted, selectIrrelevantCommittedSelection, (keys, isInverted, irrelevantKeys) => ({
    keys,
    isInverted,
    irrelevantKeys,
}));
/**
 * @internal
 */
export const selectIsWorkingSelectionChanged = createSelector(selectIsWorkingSelectionInverted, selectWorkingSelection, selectIsCommittedSelectionInverted, selectCommittedSelection, (isWorkingSelectionInverted, workingSelection, isCommitedSelectionInverted, commitedSelection) => isWorkingSelectionInverted !== isCommitedSelectionInverted ||
    !isEqual([...commitedSelection].sort(), [...workingSelection].sort()));
/**
 * @internal
 */
export const selectIsWorkingSelectionEmpty = createSelector(selectWorkingSelection, isEmpty);
//# sourceMappingURL=selectionSelectors.js.map