// (C) 2007-2025 GoodData Corporation
import React from "react";
import { DateRangePicker } from "../DateRangePicker/DateRangePicker.js";
import { dateFilterValueToDateRange, dateRangeToDateFilterValue } from "./conversions.js";
const dayPickerProps = {
    mode: "range",
    weekStartsOn: 0, // Sunday, regardless of locale
};
/**
 * @internal
 */
export const AbsoluteDateFilterForm = ({ dateFormat, isMobile, selectedFilterOption, isTimeEnabled, weekStart, shouldOverlayDatePicker, onSelectedFilterOptionChange, submitForm, }) => {
    const handleRangeChange = (range) => {
        onSelectedFilterOptionChange(dateRangeToDateFilterValue(range, selectedFilterOption.localIdentifier, isTimeEnabled));
    };
    return (React.createElement(DateRangePicker, { dateFormat: dateFormat, onRangeChange: handleRangeChange, range: dateFilterValueToDateRange(selectedFilterOption, isTimeEnabled), isMobile: isMobile, dayPickerProps: dayPickerProps, isTimeEnabled: isTimeEnabled, weekStart: weekStart, shouldOverlayDatePicker: shouldOverlayDatePicker, submitForm: submitForm }));
};
//# sourceMappingURL=AbsoluteDateFilterForm.js.map