// (C) 2025 GoodData Corporation
import React, { useCallback } from "react";
import { isAbsoluteDateFilterForm } from "@gooddata/sdk-model";
import cx from "classnames";
import { FormattedMessage } from "react-intl";
import { ListItem } from "../ListItem/ListItem.js";
import { DateFilterFormWrapper } from "../DateFilterFormWrapper/DateFilterFormWrapper.js";
import { AbsoluteDateFilterForm } from "./AbsoluteDateFilterForm.js";
const ITEM_CLASS_MOBILE = "gd-date-filter-item-mobile";
export const AbsoluteDateFilterFormSection = ({ filterOptions, selectedFilterOption, dateFormat, weekStart, isTimeForAbsoluteRangeEnabled, isMobile, route, changeRoute, onSelectedFilterOptionChange, closeDropdown, onApplyClick, }) => {
    const submitForm = useCallback(() => {
        onApplyClick();
        closeDropdown();
    }, [closeDropdown, onApplyClick]);
    if (!filterOptions.absoluteForm) {
        return null;
    }
    const isSelected = filterOptions.absoluteForm.localIdentifier === selectedFilterOption.localIdentifier;
    const isOnRoute = route === "absoluteForm";
    return (React.createElement(React.Fragment, null,
        !isMobile || !isOnRoute ? (React.createElement(ListItem, { isSelected: isSelected, onClick: () => {
                changeRoute("absoluteForm");
                if (!isAbsoluteDateFilterForm(selectedFilterOption)) {
                    onSelectedFilterOptionChange(filterOptions.absoluteForm);
                }
            }, className: cx("s-absolute-form", "s-do-not-close-dropdown-on-click", isMobile && ITEM_CLASS_MOBILE) }, filterOptions.absoluteForm.name ? (filterOptions.absoluteForm.name) : (React.createElement(FormattedMessage, { id: "filters.staticPeriod" })))) : null,
        isSelected && (!isMobile || isOnRoute) ? (React.createElement(DateFilterFormWrapper, { isMobile: isMobile },
            React.createElement(AbsoluteDateFilterForm, { dateFormat: dateFormat, onSelectedFilterOptionChange: onSelectedFilterOptionChange, selectedFilterOption: selectedFilterOption, isMobile: isMobile, isTimeEnabled: isTimeForAbsoluteRangeEnabled, weekStart: weekStart, submitForm: submitForm }))) : null));
};
//# sourceMappingURL=AbsoluteDateFilterFormSection.js.map