import React from "react";
import { IExtendedDateFilterErrors, IDateFilterOptionsByType, DateFilterOption } from "../interfaces/index.js";
import { DateFilterGranularity, WeekStart } from "@gooddata/sdk-model";
export interface IDateFilterBodyProps {
    dateFormat: string;
    filterOptions: IDateFilterOptionsByType;
    selectedFilterOption: DateFilterOption;
    onSelectedFilterOptionChange: (option: DateFilterOption) => void;
    excludeCurrentPeriod: boolean;
    isExcludeCurrentPeriodEnabled: boolean;
    onExcludeCurrentPeriodChange: (isExcluded: boolean) => void;
    isTimeForAbsoluteRangeEnabled: boolean;
    availableGranularities: DateFilterGranularity[];
    isEditMode: boolean;
    isMobile: boolean;
    showHeaderMessage?: boolean;
    onApplyClick: () => void;
    onCancelClick: () => void;
    closeDropdown: () => void;
    errors?: IExtendedDateFilterErrors;
    dateFilterButton: JSX.Element;
    weekStart?: WeekStart;
    isConfigurationEnabled?: boolean;
    onConfigurationClick: () => void;
    withoutApply?: boolean;
}
export declare const DateFilterBody: React.ForwardRefExoticComponent<IDateFilterBodyProps & React.RefAttributes<HTMLDivElement>>;
//# sourceMappingURL=DateFilterBody.d.ts.map