// (C) 2025 GoodData Corporation
import React from "react";
import isEmpty from "lodash/isEmpty.js";
import { AbsoluteDateFilterFormSection } from "../AbsoluteDateFilterForm/AbsoluteDateFilterFormSection.js";
import { AllTimeFilterSection } from "../AllTime/AllTimeFilterSection.js";
import { RelativeDateFilterFormSection } from "../RelativeDateFilterForm/RelativeDateFilterFormSection.js";
import { AbsolutePresetFilterItems } from "./AbsolutePresetFilterItems.js";
import { RelativePresetFilterItems } from "./RelativePresetFilterItems.js";
const ITEM_CLASS_MOBILE = "gd-date-filter-item-mobile";
export const DateFilterBodyContent = ({ filterOptions, selectedFilterOption, isMobile, route, errors, dateFormat, isTimeForAbsoluteRangeEnabled, weekStart, availableGranularities, closeDropdown, changeRoute, onApplyClick, onSelectedFilterOptionChange, }) => {
    return (React.createElement(React.Fragment, null,
        React.createElement(AllTimeFilterSection, { filterOptions: filterOptions, selectedFilterOption: selectedFilterOption, onSelectedFilterOptionChange: onSelectedFilterOptionChange, isMobile: isMobile }),
        React.createElement(AbsoluteDateFilterFormSection, { filterOptions: filterOptions, route: route, closeDropdown: closeDropdown, onApplyClick: onApplyClick, changeRoute: changeRoute, dateFormat: dateFormat, onSelectedFilterOptionChange: onSelectedFilterOptionChange, selectedFilterOption: selectedFilterOption, isMobile: isMobile, isTimeForAbsoluteRangeEnabled: isTimeForAbsoluteRangeEnabled, weekStart: weekStart }),
        !isEmpty(availableGranularities) ? (React.createElement(RelativeDateFilterFormSection, { filterOptions: filterOptions, onSelectedFilterOptionChange: onSelectedFilterOptionChange, selectedFilterOption: selectedFilterOption, availableGranularities: availableGranularities, isMobile: isMobile, changeRoute: changeRoute, route: route, errors: errors || undefined, onApplyClick: onApplyClick, closeDropdown: closeDropdown })) : null,
        filterOptions.absolutePreset && filterOptions.absolutePreset.length > 0 ? (React.createElement(AbsolutePresetFilterItems, { dateFormat: dateFormat, filterOptions: filterOptions.absolutePreset, selectedFilterOption: selectedFilterOption, onSelectedFilterOptionChange: onSelectedFilterOptionChange, className: isMobile ? ITEM_CLASS_MOBILE : undefined })) : null,
        filterOptions.relativePreset ? (React.createElement(RelativePresetFilterItems, { dateFormat: dateFormat, filterOption: filterOptions.relativePreset, selectedFilterOption: selectedFilterOption, onSelectedFilterOptionChange: onSelectedFilterOptionChange, className: isMobile ? ITEM_CLASS_MOBILE : undefined })) : null));
};
//# sourceMappingURL=DateFilterBodyContent.js.map