// (C) 2025 GoodData Corporation
import React from "react";
import isEmpty from "lodash/isEmpty.js";
import { AbsoluteDateFilterFormSection } from "../AbsoluteDateFilterForm/AbsoluteDateFilterFormSection.js";
import { RelativeDateFilterFormSection } from "../RelativeDateFilterForm/RelativeDateFilterFormSection.js";
import { DateFilterHeader } from "./DateFilterHeader.js";
import { FormattedMessage } from "react-intl";
import { DateFilterBodyContent } from "./DateFilterBodyContent.js";
export const DateFilterBodyMobileContent = ({ filterOptions, selectedFilterOption, isMobile, route, errors, dateFormat, isTimeForAbsoluteRangeEnabled, weekStart, availableGranularities, closeDropdown, changeRoute, onApplyClick, onSelectedFilterOptionChange, }) => {
    if (route === "absoluteForm") {
        return (React.createElement(React.Fragment, null,
            React.createElement(DateFilterHeader, { changeRoute: changeRoute },
                React.createElement(FormattedMessage, { id: "filters.staticPeriod" })),
            React.createElement(AbsoluteDateFilterFormSection, { filterOptions: filterOptions, route: route, closeDropdown: closeDropdown, onApplyClick: onApplyClick, changeRoute: changeRoute, dateFormat: dateFormat, onSelectedFilterOptionChange: onSelectedFilterOptionChange, selectedFilterOption: selectedFilterOption, isMobile: isMobile, isTimeForAbsoluteRangeEnabled: isTimeForAbsoluteRangeEnabled, weekStart: weekStart })));
    }
    if (route === "relativeForm") {
        return isEmpty(availableGranularities) ? null : (React.createElement(React.Fragment, null,
            React.createElement(DateFilterHeader, { changeRoute: changeRoute },
                React.createElement(FormattedMessage, { id: "filters.floatingRange" })),
            React.createElement(RelativeDateFilterFormSection, { filterOptions: filterOptions, errors: errors || undefined, onSelectedFilterOptionChange: onSelectedFilterOptionChange, selectedFilterOption: selectedFilterOption, availableGranularities: availableGranularities, isMobile: isMobile, changeRoute: changeRoute, route: route, onApplyClick: onApplyClick, closeDropdown: closeDropdown })));
    }
    return (React.createElement(DateFilterBodyContent, { filterOptions: filterOptions, selectedFilterOption: selectedFilterOption, onSelectedFilterOptionChange: onSelectedFilterOptionChange, isMobile: isMobile, route: route, closeDropdown: closeDropdown, onApplyClick: onApplyClick, changeRoute: changeRoute, dateFormat: dateFormat, errors: errors || undefined, isTimeForAbsoluteRangeEnabled: isTimeForAbsoluteRangeEnabled, weekStart: weekStart, availableGranularities: availableGranularities }));
};
//# sourceMappingURL=DateFilterBodyMobileContent.js.map