// (C) 2007-2025 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import { DateFilterButton } from "../DateFilterButton/DateFilterButton.js";
import { DateFilterTextLocalized, useDateFilterText, } from "../DateFilterTextLocalized/DateFilterTextLocalized.js";
import { ShortenedText } from "@gooddata/sdk-ui-kit";
const ALIGN_POINT = [
    { align: "tc bc", offset: { x: 0, y: -2 } },
    { align: "cc tc", offset: { x: 0, y: 10 } },
    { align: "bl tr", offset: { x: -2, y: -8 } },
];
export const DateFilterButtonLocalized = ({ dateFilterOption, dateFormat, isOpen = false, isMobile = true, customFilterName, disabled, customIcon, buttonRef, dropdownId, onClick, ButtonComponent, }) => {
    const intl = useIntl();
    const defaultTitle = intl.formatMessage({ id: "dateFilterDropdown.title" });
    const textTitle = customFilterName ?? defaultTitle;
    const title = customFilterName ? (React.createElement(ShortenedText, { tooltipAlignPoints: ALIGN_POINT }, customFilterName)) : (React.createElement(React.Fragment, null, textTitle));
    const textSubtitle = useDateFilterText({ filter: dateFilterOption, dateFormat });
    const Component = ButtonComponent ?? DateFilterButton;
    return (React.createElement(Component, { title: title, isOpen: isOpen, isMobile: isMobile, disabled: disabled, customIcon: customIcon, customFilterName: customFilterName, onClick: onClick, textTitle: textTitle, textSubtitle: textSubtitle, buttonRef: buttonRef, dropdownId: dropdownId },
        React.createElement("span", { className: "s-button-text" },
            React.createElement(DateFilterTextLocalized, { filter: dateFilterOption, dateFormat: dateFormat }))));
};
//# sourceMappingURL=DateFilterButtonLocalized.js.map