import React, { ComponentType } from "react";
import { DateFilterGranularity, WeekStart } from "@gooddata/sdk-model";
import { OverlayPositionType } from "@gooddata/sdk-ui-kit";
import { IExtendedDateFilterErrors, IDateFilterOptionsByType, DateFilterOption } from "./interfaces/index.js";
import { IFilterButtonCustomIcon } from "../shared/index.js";
import { IFilterConfigurationProps } from "./DateFilterBody/types.js";
import { IDateFilterButtonProps } from "./DateFilterButton/DateFilterButton.js";
export interface IDateFilterCoreProps {
    dateFormat: string;
    filterOptions: IDateFilterOptionsByType;
    /**
     * Filter option currently selected, it would be applied on Apply click.
     */
    selectedFilterOption: DateFilterOption;
    onSelectedFilterOptionChange: (option: DateFilterOption) => void;
    /**
     * Filter option selected before the filter dialog was opened.
     */
    originalSelectedFilterOption: DateFilterOption;
    excludeCurrentPeriod: boolean;
    originalExcludeCurrentPeriod: boolean;
    isExcludeCurrentPeriodEnabled: boolean;
    onExcludeCurrentPeriodChange: (isExcluded: boolean) => void;
    isTimeForAbsoluteRangeEnabled: boolean;
    availableGranularities: DateFilterGranularity[];
    isEditMode: boolean;
    locale?: string;
    showDropDownHeaderMessage?: boolean;
    customFilterName?: string;
    disabled?: boolean;
    openOnInit?: boolean;
    onApplyClick: () => void;
    onCancelClick: () => void;
    onDropdownOpenChanged: (isOpen: boolean) => void;
    errors?: IExtendedDateFilterErrors;
    weekStart?: WeekStart;
    customIcon?: IFilterButtonCustomIcon;
    FilterConfigurationComponent?: React.ComponentType<IFilterConfigurationProps>;
    withoutApply?: boolean;
    ButtonComponent?: ComponentType<IDateFilterButtonProps>;
    /**
     * Specifies the overlay position type for the date filter dropdown.
     */
    overlayPositionType?: OverlayPositionType;
}
export declare const verifyDateFormat: (dateFormat: string) => string;
export declare const DateFilterCore: React.FC<IDateFilterCoreProps>;
//# sourceMappingURL=DateFilterCore.d.ts.map