// (C) 2019-2025 GoodData Corporation
import React from "react";
import { useIntl } from "react-intl";
import { resolveLocale } from "@gooddata/sdk-ui";
import { getDateFilterTitle } from "../utils/Translations/DateFilterTitle.js";
export const DateFilterTextLocalized = ({ dateFormat, filter }) => {
    const dateFilterText = useDateFilterText({ filter, dateFormat });
    return React.createElement(React.Fragment, null, dateFilterText);
};
export const useDateFilterText = ({ filter, dateFormat, }) => {
    const intl = useIntl();
    return getDateFilterTitle(filter, resolveLocale(intl.locale), dateFormat);
};
//# sourceMappingURL=DateFilterTextLocalized.js.map