import React from "react";
import { WrappedComponentProps } from "react-intl";
import { InputErrorMessageTexts, IDateTimePickerErrors, ITime } from "./types.js";
export interface IDateTimePickerAccessibilityConfig {
    dateAriaLabel?: React.AriaAttributes["aria-label"];
    timeAriaLabel?: React.AriaAttributes["aria-label"];
    dateInputHintId?: string;
    timeInputHintId?: string;
}
interface IDateTimePickerOwnProps {
    date: Date;
    time: ITime;
    dateInputLabel: string;
    timeInputLabel: string;
    onDateChange: (date: Date | undefined, shouldSubmitForm?: boolean) => void;
    onTimeChange: (time: ITime | undefined, shouldSubmitForm?: boolean) => void;
    onDayClick: () => void;
    onDateInputKeyDown: (e: React.KeyboardEvent<HTMLInputElement>) => void;
    dateFormat: string;
    isMobile: boolean;
    isTimeEnabled: boolean;
    className: string;
    defaultTime?: string;
    accessibilityConfig: IDateTimePickerAccessibilityConfig;
    inputErrorMessageTexts: InputErrorMessageTexts;
    errors?: IDateTimePickerErrors;
}
export type DateTimePickerComponentProps = IDateTimePickerOwnProps & WrappedComponentProps;
export declare const DateTimePicker: React.ForwardRefExoticComponent<Omit<import("react-intl").WithIntlProps<React.PropsWithChildren<IDateTimePickerOwnProps & WrappedComponentProps & React.RefAttributes<HTMLInputElement>>>, "ref"> & React.RefAttributes<any>> & {
    WrappedComponent: React.ComponentType<IDateTimePickerOwnProps & WrappedComponentProps & React.RefAttributes<HTMLInputElement>>;
};
export {};
//# sourceMappingURL=DateTimePicker.d.ts.map