// (C) 2007-2025 GoodData Corporation
import React from "react";
import { FormattedMessage } from "react-intl";
import { granularityIntlCodes } from "../constants/i18n.js";
import { messages } from "../../locales.js";
export const ExcludeCurrentPeriodToggleLabel = ({ disabled, granularity, }) => {
    const granularityIntlCode = granularityIntlCodes[granularity];
    const id = !disabled && granularity !== undefined && granularityIntlCode !== undefined
        ? messages[`${granularityIntlCode}Excluded`].id
        : messages.allTimeExcluded.id;
    return (React.createElement(FormattedMessage, { id: id }, (...children) => React.createElement("span", { className: "input-label-text" }, children)));
};
//# sourceMappingURL=ExcludeCurrentPeriodToggleLabel.js.map