// (C) 2007-2025 GoodData Corporation
import React, { forwardRef } from "react";
import { GranularityTabs } from "./GranularityTabs.js";
import { RelativeRangePicker } from "../RelativeRangePicker/RelativeRangePicker.js";
import { DATE_FILTER_RELATIVE_GRANULARITY_TAB_ID } from "../accessibility/elementId.js";
/**
 * @internal
 */
export const RelativeDateFilterForm = forwardRef(({ relativeDateFilterId, selectedFilterOption, availableGranularities, onSelectedFilterOptionChange, isMobile, onKeyDown, }, ref) => {
    return (React.createElement(React.Fragment, null,
        React.createElement("div", { ref: ref },
            React.createElement(GranularityTabs, { availableGranularities: availableGranularities, selectedGranularity: selectedFilterOption.granularity, onSelectedGranularityChange: (granularity) => onSelectedFilterOptionChange({
                    ...selectedFilterOption,
                    ...(selectedFilterOption.granularity !== granularity && {
                        from: undefined,
                        to: undefined,
                    }),
                    granularity,
                }), accessibilityConfig: {
                    ariaControls: relativeDateFilterId,
                } })),
        React.createElement("div", { onKeyDown: onKeyDown },
            React.createElement(RelativeRangePicker, { selectedFilterOption: selectedFilterOption, onSelectedFilterOptionChange: onSelectedFilterOptionChange, 
                // Do not reuse components across different tabs, caused problems with focus/blur handling.
                key: selectedFilterOption.granularity, isMobile: isMobile, accessibilityConfig: {
                    ariaLabelledBy: DATE_FILTER_RELATIVE_GRANULARITY_TAB_ID,
                    role: "tabpanel",
                }, id: relativeDateFilterId }))));
});
RelativeDateFilterForm.displayName = "RelativeDateFilterForm";
//# sourceMappingURL=RelativeDateFilterForm.js.map