// (C) 2007-2024 GoodData Corporation
import React from "react";
import Downshift from "downshift";
import cx from "classnames";
import noop from "lodash/noop.js";
import { SelectButton } from "./SelectButton.js";
import { SelectMenu } from "./SelectMenu.js";
import { getSelectableItems, itemToString } from "./utils.js";
const TypedDownshift = Downshift;
const DEFAULT_ITEMS = [];
const DEFAULT_STYLES = {};
// eslint-disable-next-line @typescript-eslint/ban-types
export const Select = ({ onChange = noop, value, items = DEFAULT_ITEMS, initialIsOpen = false, className, style = DEFAULT_STYLES, }) => {
    const selectableOptions = getSelectableItems(items);
    return (React.createElement(TypedDownshift, { onChange: onChange, itemToString: itemToString, selectedItem: selectableOptions.find((item) => item.value === value) || selectableOptions[0], initialIsOpen: initialIsOpen }, ({ getToggleButtonProps, getMenuProps, getItemProps, isOpen, selectedItem, highlightedIndex, }) => (React.createElement("div", { className: cx("gd-select", className), style: style },
        React.createElement(SelectButton, { isOpen: isOpen, selectedItem: selectedItem, getToggleButtonProps: getToggleButtonProps }),
        isOpen ? (React.createElement(SelectMenu, { items: items, selectedItem: selectedItem, highlightedIndex: highlightedIndex, getItemProps: getItemProps, getMenuProps: getMenuProps })) : null))));
};
//# sourceMappingURL=Select.js.map