// (C) 2007-2025 GoodData Corporation
import React from "react";
import cx from "classnames";
import { DATE_FILTER_RELATIVE_GRANULARITY_TAB_ID } from "../accessibility/elementId.js";
import { useIntl } from "react-intl";
export const TabsWrapper = ({ className, children, ...restProps }) => {
    const intl = useIntl();
    return (React.createElement("div", { role: "tablist", "aria-label": intl.formatMessage({ id: "dateFilterDropdown.relativeForm.label" }), className: cx("gd-tabs small is-condensed", className), ...restProps }, children));
};
export const Tab = ({ selected, className, accessibilityConfig, onClick, children, ...restProps }) => (React.createElement("button", { id: selected ? DATE_FILTER_RELATIVE_GRANULARITY_TAB_ID : undefined, onClick: onClick, role: "tab", "aria-selected": selected, "aria-controls": selected ? accessibilityConfig?.ariaControls : undefined, tabIndex: selected ? 0 : -1, className: cx(selected && "is-active", "gd-tab", className), ...restProps }, children));
//# sourceMappingURL=Tabs.js.map