// (C) 2020-2022 GoodData Corporation
import React from "react";
import noop from "lodash/noop.js";
import { MeasureValueFilterDropdown } from "./MeasureValueFilterDropdown.js";
import MeasureValueFilterButton from "./MeasureValueFilterButton.js";
/**
 * @beta
 */
export class MeasureValueFilter extends React.PureComponent {
    static defaultProps = {
        onCancel: noop,
    };
    state = {
        displayDropdown: false,
    };
    buttonRef = React.createRef();
    render() {
        const { displayDropdown } = this.state;
        const { filter, measureIdentifier, buttonTitle, usePercentage, warningMessage, locale, separators, displayTreatNullAsZeroOption, treatNullAsZeroDefaultValue, enableOperatorSelection, } = this.props;
        return (React.createElement(React.Fragment, null,
            React.createElement("div", { ref: this.buttonRef },
                React.createElement(MeasureValueFilterButton, { onClick: this.toggleDropdown, isActive: displayDropdown, buttonTitle: buttonTitle })),
            displayDropdown ? (React.createElement(MeasureValueFilterDropdown, { onApply: this.onApply, onCancel: this.onCancel, filter: filter, measureIdentifier: measureIdentifier, usePercentage: usePercentage, warningMessage: warningMessage, locale: locale, separators: separators, displayTreatNullAsZeroOption: displayTreatNullAsZeroOption, treatNullAsZeroDefaultValue: treatNullAsZeroDefaultValue, enableOperatorSelection: enableOperatorSelection, anchorEl: this.buttonRef.current })) : null));
    }
    onApply = (filter) => {
        this.closeDropdown();
        this.props.onApply(filter);
    };
    onCancel = () => {
        this.closeDropdown();
        this.props.onCancel();
    };
    closeDropdown = () => {
        this.setState({ displayDropdown: false });
    };
    toggleDropdown = () => {
        this.setState((state) => ({ ...state, displayDropdown: !state.displayDropdown }));
    };
}
//# sourceMappingURL=MeasureValueFilter.js.map