// (C) 2019-2025 GoodData Corporation
import { defineMessages } from "react-intl";
//NOTE: Follow up ticket for move all messages: https://gooddata.atlassian.net/browse/FET-1050
export const messages = defineMessages({
    minute: { id: "filters.granularity.minutes" },
    hour: { id: "filters.granularity.hours" },
    day: { id: "filters.granularity.days" },
    week: { id: "filters.granularity.weeks" },
    month: { id: "filters.granularity.months" },
    quarter: { id: "filters.granularity.quarters" },
    year: { id: "filters.granularity.years" },
    allTimeExcluded: { id: "filters.allTime.excludeCurrentPeriod" },
    minuteExcluded: { id: "filters.minute.excludeCurrentPeriod" },
    hourExcluded: { id: "filters.hour.excludeCurrentPeriod" },
    dayExcluded: { id: "filters.day.excludeCurrentPeriod" },
    weekExcluded: { id: "filters.week.excludeCurrentPeriod" },
    monthExcluded: { id: "filters.month.excludeCurrentPeriod" },
    quarterExcluded: { id: "filters.quarter.excludeCurrentPeriod" },
    yearExcluded: { id: "filters.year.excludeCurrentPeriod" },
    minute_history: { id: "filters.floatingRange.option.minute.offset.history" },
    minute_today: { id: "filters.floatingRange.option.minute.offset.today" },
    minute_future: { id: "filters.floatingRange.option.minute.offset.future" },
    hour_history: { id: "filters.floatingRange.option.hour.offset.history" },
    hour_today: { id: "filters.floatingRange.option.hour.offset.today" },
    hour_future: { id: "filters.floatingRange.option.hour.offset.future" },
    day_history: { id: "filters.floatingRange.option.day.offset.history" },
    day_today: { id: "filters.floatingRange.option.day.offset.today" },
    day_future: { id: "filters.floatingRange.option.day.offset.future" },
    week_history: { id: "filters.floatingRange.option.week.offset.history" },
    week_today: { id: "filters.floatingRange.option.week.offset.today" },
    week_future: { id: "filters.floatingRange.option.week.offset.future" },
    month_history: { id: "filters.floatingRange.option.month.offset.history" },
    month_today: { id: "filters.floatingRange.option.month.offset.today" },
    month_future: { id: "filters.floatingRange.option.month.offset.future" },
    quarter_history: { id: "filters.floatingRange.option.quarter.offset.history" },
    quarter_today: { id: "filters.floatingRange.option.quarter.offset.today" },
    quarter_future: { id: "filters.floatingRange.option.quarter.offset.future" },
    year_history: { id: "filters.floatingRange.option.year.offset.history" },
    year_today: { id: "filters.floatingRange.option.year.offset.today" },
    year_future: { id: "filters.floatingRange.option.year.offset.future" },
    "GDC.time.minute": { id: "filters.minute.title" },
    "GDC.time.hour": { id: "filters.hour.title" },
    "GDC.time.date": { id: "filters.day.title" },
    "GDC.time.week_us": { id: "filters.week.title" },
    "GDC.time.month": { id: "filters.month.title" },
    "GDC.time.quarter": { id: "filters.quarter.title" },
    "GDC.time.year": { id: "filters.year.title" },
    top: { id: "rankingFilter.top" },
    bottom: { id: "rankingFilter.bottom" },
    topWithAttr: { id: "rankingFilter.preview.top_with_attribute" },
    topWithoutAttr: { id: "rankingFilter.preview.top_without_attribute" },
    bottomWithAttr: { id: "rankingFilter.preview.bottom_with_attribute" },
    bottomWithoutAttr: { id: "rankingFilter.preview.bottom_without_attribute" },
    ALL: { id: "mvf.operator.all" },
    GREATER_THAN: { id: "mvf.operator.greaterThan" },
    GREATER_THAN_OR_EQUAL_TO: { id: "mvf.operator.greaterThanOrEqualTo" },
    LESS_THAN: { id: "mvf.operator.lessThan" },
    LESS_THAN_OR_EQUAL_TO: { id: "mvf.operator.lessThanOrEqualTo" },
    EQUAL_TO: { id: "mvf.operator.equalTo" },
    NOT_EQUAL_TO: { id: "mvf.operator.notEqualTo" },
    BETWEEN: { id: "mvf.operator.between" },
    NOT_BETWEEN: { id: "mvf.operator.notBetween" },
    thisMinute: { id: "filters.thisMinute.title" },
    lastMinute: { id: "filters.lastMinute.title" },
    nextMinute: { id: "filters.nextMinute.title" },
    thisHour: { id: "filters.thisHour.title" },
    lastHour: { id: "filters.lastHour.title" },
    nextHour: { id: "filters.nextHour.title" },
    thisDay: { id: "filters.thisDay.title" },
    lastDay: { id: "filters.lastDay.title" },
    nextDay: { id: "filters.nextDay.title" },
    thisWeek: { id: "filters.thisWeek.title" },
    lastWeek: { id: "filters.lastWeek.title" },
    nextWeek: { id: "filters.nextWeek.title" },
    thisMonth: { id: "filters.thisMonth.title" },
    lastMonth: { id: "filters.lastMonth.title" },
    nextMonth: { id: "filters.nextMonth.title" },
    thisQuarter: { id: "filters.thisQuarter.title" },
    lastQuarter: { id: "filters.lastQuarter.title" },
    nextQuarter: { id: "filters.nextQuarter.title" },
    thisYear: { id: "filters.thisYear.title" },
    lastYear: { id: "filters.lastYear.title" },
    nextYear: { id: "filters.nextYear.title" },
    lastNMinutes: { id: "filters.lastNMinutes" },
    lastNHours: { id: "filters.lastNHours" },
    lastNDays: { id: "filters.lastNDays" },
    lastNWeeks: { id: "filters.lastNWeeks" },
    lastNMonths: { id: "filters.lastNMonths" },
    lastNQuarters: { id: "filters.lastNQuarters" },
    lastNYears: { id: "filters.lastNYears" },
    nextNMinutes: { id: "filters.nextNMinutes" },
    nextNHours: { id: "filters.nextNHours" },
    nextNDays: { id: "filters.nextNDays" },
    nextNWeeks: { id: "filters.nextNWeeks" },
    nextNMonths: { id: "filters.nextNMonths" },
    nextNQuarters: { id: "filters.nextNQuarters" },
    nextNYears: { id: "filters.nextNYears" },
    "minutes.past": { id: "filters.interval.minutes.past" },
    "minutes.past.sameValue": { id: "filters.interval.minutes.past.sameValue" },
    "minutes.future": { id: "filters.interval.minutes.future" },
    "minutes.future.sameValue": { id: "filters.interval.minutes.future.sameValue" },
    "minutes.mixed": { id: "filters.interval.minutes.mixed" },
    "hours.past": { id: "filters.interval.hours.past" },
    "hours.past.sameValue": { id: "filters.interval.hours.past.sameValue" },
    "hours.future": { id: "filters.interval.hours.future" },
    "hours.future.sameValue": { id: "filters.interval.hours.future.sameValue" },
    "hours.mixed": { id: "filters.interval.hours.mixed" },
    "days.past": { id: "filters.interval.days.past" },
    "days.past.sameValue": { id: "filters.interval.days.past.sameValue" },
    "days.future": { id: "filters.interval.days.future" },
    "days.future.sameValue": { id: "filters.interval.days.future.sameValue" },
    "days.mixed": { id: "filters.interval.days.mixed" },
    "weeks.past": { id: "filters.interval.weeks.past" },
    "weeks.past.sameValue": { id: "filters.interval.weeks.past.sameValue" },
    "weeks.future": { id: "filters.interval.weeks.future" },
    "weeks.future.sameValue": { id: "filters.interval.weeks.future.sameValue" },
    "weeks.mixed": { id: "filters.interval.weeks.mixed" },
    "months.past": { id: "filters.interval.months.past" },
    "months.past.sameValue": { id: "filters.interval.months.past.sameValue" },
    "months.future": { id: "filters.interval.months.future" },
    "months.future.sameValue": { id: "filters.interval.months.future.sameValue" },
    "months.mixed": { id: "filters.interval.months.mixed" },
    "quarters.past": { id: "filters.interval.quarters.past" },
    "quarters.past.sameValue": { id: "filters.interval.quarters.past.sameValue" },
    "quarters.future": { id: "filters.interval.quarters.future" },
    "quarters.future.sameValue": { id: "filters.interval.quarters.future.sameValue" },
    "quarters.mixed": { id: "filters.interval.quarters.mixed" },
    "years.past": { id: "filters.interval.years.past" },
    "years.past.sameValue": { id: "filters.interval.years.past.sameValue" },
    "years.future": { id: "filters.interval.years.future" },
    "years.future.sameValue": { id: "filters.interval.years.future.sameValue" },
    "years.mixed": { id: "filters.interval.years.mixed" },
    relevantValuesParentFiltersTooltip: { id: "attributesDropdown.relevantValues.tooltip.parentFilters" },
    relevantValuesLimitsTooltip: { id: "attributesDropdown.relevantValues.tooltip.limits" },
    relevantValuesParentFiltersLimitsTooltip: {
        id: "attributesDropdown.relevantValues.tooltip.parentFiltersLimits",
    },
});
//# sourceMappingURL=locales.js.map